/*
  Copyright 1996-2003  Simon Whiteside

* $Id: ExecutableIterator.java,v 1.3 2003/01/22 18:26:34 simkin_cvs Exp $
*/

package simkin;

/**
 * This interface is implemented by objects can iterate over Executable objects. This class is used by the interpreter in the foreach statement.
 */
public interface ExecutableIterator {
    /** this method returns the next object in the enumeration, or null if the enumeration is ended */
    public Object next();
}
